<template lang="">
  <navbar></navbar>
  <div class="body">
    <h1 class="text-4xl text-center mt-12 mr-24 ml-24 font-bold">
      Se ha registrado exitosamente la asistencia
    </h1>
    <div class="text-sm breadcrumbs ml-12 mt-10">
    <ul>
      <li>
        <a
          @click="
            $router.push({
              path: menuAsistenciaURL,
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Asistencia
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: seleccionarCursoURL,
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Seleccionar Curso
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: registrarAsistenciaURL,
              query:{curso_id:this.$route.query.curso_id}
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Registrar Asistencia
        </a>
      </li>
      <li>

          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Registro Exitoso

      </li>
    </ul>
  </div>
    <div
      class="flex flex-col w-auto items-center min-w-min ml-24 mr-24 mt-20 bg-white rounded-3xl border-2 border-black"
    >
      <button
        @click="$router.push({path:'VerRegistroAsistencia',query:{curso_id:this.$route.query.curso_id}})"
        class="btn btn-primary flex text-lg mt-12 w-96 h-24 rounded-full"
      >
        Ver registro de asistencia
      </button>

      <button
        @click="$router.push('MainAsistenciaDocente')"
        class="btn btn-primary flex text-lg mt-12 w-96 h-24 rounded-full mb-24"
      >
        Volver Inicio
      </button>
    </div>
  </div>
</template>
<script>
import axios from 'axios';
import navbar from '../../components/Navbar.vue'
export default {
  components: { navbar },
  data(){
    return{
      menuAsistenciaURL:"",
      seleccionarCursoURL:"",
      registrarAsistenciaURL:"",
      
    }
  },
  mounted(){
    axios
        .get("cuentas/usuario", {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((response) => {

          if (response.data.rol == "DOCENTE") {
            this.menuAsistenciaURL=
              "/MainAsistenciaDocente";
            this.seleccionarCursoURL=
              "/SeleccionarMateria";
            this.registrarAsistenciaURL=
              "/RegistrarAsistencia";

          } else if (response.data.rol == "ALUMNO") {
            this.menuAsistenciaURL=
              "/MainAsistenciaEstudiante";
   
          }

        });
  }
};
</script>
<style>
.body {
  height: 100vh;
}
</style>
